Bug 7199 - Plasma 5 ignores xsettings-kde autostart
: Plasma 5 ignores xsettings-kde autostart
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Highest blocker
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-09 20:45 MSD by Andrey Bondrov
Modified: 2016-07-12 08:37 MSD (History)
1 user (show)

See Also:
RPM Package: xsettings-kde
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
GIMP with and without icons in menus (139.04 KB, image/jpeg)
2016-07-09 20:46 MSD, Andrey Bondrov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2016-07-09 20:45:55 MSD
Plasma 5 ignores xsettings-kde autostart. It happens because KDE 4 uses both /usr/share/autostart/ and /etc/xdg/autostart/ locations while Plasma 5 uses only /etc/xdg/autostart/. So we need to move xsettings-kde.desktop to /etc/xdg/autostart/.

If xsettings-kde doesn't start, there are no icons in GIMP menus. So it's easy to check if it started.
Comment 1 Andrey Bondrov 2016-07-09 20:46:22 MSD
Created attachment 4499 [details]
GIMP with and without icons in menus
Comment 2 Andrey Bondrov 2016-07-09 20:54:45 MSD
Advisory: "Backport various patches from xsettings-kde upstream. Move autostart file from /usr/share/autostart/ (ignored by Plasma 5) to /etc/xdg/autostart/ (used by both KDE 4 and Plasma 5)."

https://abf.rosalinux.ru/build_lists/2688454
https://abf.rosalinux.ru/build_lists/2688455
Comment 3 Vladimir Potapov 2016-07-11 19:07:17 MSD
xsettings-kde-0.12.3-7
https://abf.rosalinux.ru/build_lists/2688454
https://abf.rosalinux.ru/build_lists/2688455
*************************** Advisory ********************
Backport various patches from xsettings-kde upstream. Move autostart file from /usr/share/autostart/ (ignored by Plasma 5) to /etc/xdg/autostart/ (used by both KDE 4 and Plasma 5).
*********************************************************
QA Verified